{
  "$schema": "./node_modules/@angular/cli/lib/config/schema.json",
  "version": 1,
  "newProjectRoot": "projects",
  "projects": {
    "time": {
      "root": "projects/time",
      "sourceRoot": "projects/time/src",
      "projectType": "library",
      "prefix": "time",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:ng-packagr",
          "options": {
            "tsConfig": "projects/time/tsconfig.lib.json",
            "project": "projects/time/ng-package.json"
          }
        ,          "configurations": {
            "production": {
              "tsConfig": "projects/time/tsconfig.lib.prod.json"
            }
          }
},
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/time/src/test.ts",
            "tsConfig": "projects/time/tsconfig.spec.json",
            "karmaConfig": "projects/time/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/time/tsconfig.lib.json",
              "projects/time/tsconfig.spec.json"
            ],
            "exclude": [
              "**/node_modules/**"
            ]
          }
        }
      }
    }
  },
  "defaultProject": "time"
}